# Email | deepin-mail

## Overview

Email is a simple and easy-to-use email management application that can manage multiple email accounts simultaneously.

## Getting Started

You can run or close Email, or create shortcuts through the following methods.

### Run Email

1. Click the Launcher icon ![deepin_launcher](../common/deepin_launcher.svg) on the taskbar to enter the Launcher interface.
2. Scroll the mouse wheel or search to find the Email icon ![deepin_mail](../common/deepin_mail.svg), then click to run. The window size supports memory function.
3. Right-click ![deepin_mail](../common/deepin_mail.svg) to:
   - Click **Send to Desktop** to create a desktop shortcut.
   - Click **Pin to Taskbar** to pin the application to the taskbar.
   - Click **Startup Automatically** to add the application to startup items, automatically running it when the computer boots.

### Close Email

In the Email main interface, click ![icon_menu](../common/icon_menu.svg) and select **Exit** to quit the application directly.

Whether closing the main interface exits the application depends on the "Close Main Window" setting:
- Select **Minimize to system tray**: The application hides in the system tray when the main window is closed.
- Select **Exit**: The application quits directly when the main window is closed.
- Select **Ask every time**: A confirmation dialog pops up each time the main window is closed.

## Login

1. On the login interface, enter your email account and password/authorization code, then click **Login**. For accounts requiring authorization codes, click **Get Authorization Code** to view instructions.

   > ![tips](../common/tips.svg) Tip: Click the help button ![help](../common/help.svg) to view the help manual.

   <img src="fig/login_interface.png" alt="login_interface" style="zoom:67%;" />

2. If your email type isn't in the server database, click **Manual Configuration** to add it manually. The manual configuration interface supports POP3/IMAP/Exchange (EWS) services. Different protocols have slightly different parameters (e.g., POP3 supports server backup, IMAP supports local backup).

   <img src="fig/email_config.png" alt="email_config" style="zoom:67%;" />

> ![notes](../common/notes.svg) Note: QQ Mail, NetEase Mail (163.com/126.com), Sina Mail, etc., require enabling POP3/IMAP/Exchange services before use. After enabling, the server generates an authorization code. Enter the account and authorization code to log in. If login fails, click **View Help** for assistance.

## Main Interface

The main interface includes Mail View and Calendar View, with Mail View as the default after login. Mail View consists of Common Folders, Email Accounts, Mail Directories, Mail List, Mail Body, Compose Mail, Receive Mail, Address Book, Search, etc.

![maininterface](fig/maininterface.png)

<table class="block1">
    <caption>Main Interface</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="120px">Compose Mail</td>
            <td>Quickly compose standard emails and meeting invitations.</td>
        </tr>
         <tr>
            <td>2</td>
            <td>Receive Mail</td>
            <td>Synchronize email data from the server, including messages and address books.</td>
        </tr>
        <tr>
            <td>3</td>
            <td>Search</td>
            <td>Quickly search locally loaded emails.</td>
        </tr>
        <tr>
            <td>4</td>
            <td>Main Menu</td>
            <td>Configure email settings, switch themes, view help manual, etc.</td>
        </tr>
         <tr>
            <td>5</td>
            <td>Common Folders</td>
            <td>Display frequently used emails from all accounts.</td>
        </tr>
        <tr>
            <td>6</td>
            <td>Email Accounts</td>
            <td>Show all added email accounts.</td>
        </tr>
        <tr>
            <td>7</td>
            <td>Mail Directories</td>
            <td>Categorize emails (directories vary by protocol). Supports creating new directories.</td>
        </tr>
         <tr>
            <td>8</td>
            <td>Mail List</td>
            <td>Show emails under selected directory (sender, subject, summary, time, star status).</td>
        </tr> 
          <tr>
            <td>9</td>
            <td>Mail Body</td>
            <td>Display email header, sender/recipient info, time, and content.</td>
        </tr> 
   </tbody>
   </table>

## Common Folders

Common Folders centralize frequently used directories from all accounts for quick access. Add folders via:
- Hover over Common Folders area, click ![add_normal](../common/add_normal.svg), then select: "All Inbox", "All Unread", "All Starred", "All Drafts" or "All Sent".

  ![add_hot_folder1](fig/add_hot_folder1.png)
  
  Uncheck to remove.

- Right-click a directory in Mail Directories and select **Add to Common Folders**.

  ![add_hot_folder2](fig/add_hot_folder2.png)
  
  Select **Remove from Common Folders** to remove.

## Create Mail Directory

Mail Directories categorize emails (protocol-dependent). For example, POP accounts have "Starred" directories.

Create new directories:
1. Right-click an email account and select **New Folder**.

   ![new_folder](fig/new_folder.png)

2. Enter a name to create. Drag to reorder directories at the same level.

3. Right-click a directory to rename, create subfolders, or batch delete.

   ![right_click_menu](fig/right_click_menu.png)

## Compose Mail

1. Click ![email_button](../common/email_button.svg) or press **Ctrl+N**.
2. Enter recipient(s), or click ![add_normal](../common/add_normal.svg) to add from Address Book. Supports CC/BCC.
3. Rich-text editor supports images, emojis, links, attachments, templates, and signatures. Switch to plain text mode if needed.
4. Click **Send**. Click ![more](../common/more.svg) for scheduled sending or separate delivery. 

<img src="fig/write_email.png" alt="write_email" style="zoom: 50%;" />

## Receive Mail

Synchronizes emails from the server (default: every 15 minutes). Set download quantity per login.

Receive via:
- Select account, click ![refresh_button](../common/refresh_button.svg).
- Right-click account, select **Receive Mail**.

## View Mail

1. In Mail List, filter by: All, Unread, Starred, or With Attachments.
2. Click an email to view details. Right-click for actions: add label, pin, aggregate, move, charset switch. 
   - **Ctrl+Click** to multi-select.
   - **Shift+Click** for range selection.
3. Click sender/recipient to view details, correspondence history, or add to Address Book.

   ![contact_info](fig/contact_info.png)

4. In Mail Body, reply, edit, forward, star, move, or delete.

   ![email_text](fig/email_text.png)

## Search Mail

Search locally loaded emails:
1. Click ![search](../common/search.svg), enter keywords, and filter by "Subject", "Full Text", "Sender", or "Recipient".
2. Click ![filter](../common/filter.svg) for advanced filters (sender, recipient, subject/keyword, attachments, date range).

   <img src="fig/search.png" alt="search" style="zoom:67%;" />

## Aggregate Mail

Group emails by sender or subject keyword. Conditions auto-save to Aggregation settings.

- **By Sender**: Right-click email > **Aggregate > Aggregate all emails from [Sender]**.
- **By Keyword**: Right-click email > **Aggregate > Aggregate by subject keyword** > Enter keyword.

<img src="fig/syndicate_mail.png" alt="syndicate_mail"  />

Right-click aggregated emails > **Cancel Aggregation** to separate them (removes condition from settings).

## Move Mail

Move emails to another directory (single email or all from a sender).

![move](fig/move.png)

## Delete Mail

Deleted emails go to "Trash". Permanently delete from there.

### Single Delete
- Right-click email(s) > **Delete**.
- In Mail Body, click ![trash](../common/trash.svg).

### Batch Delete
Right-click directory > **Batch Delete** > Select time range (e.g., "Older than 1 week").

## Import Mail

Right-click directory > **Import Mail** > Select .eml files > **Open**.

>  ![notes](../common/notes.svg) Note: Exchange protocol not supported.

## Export Mail

### Single Export
- Right-click email(s) > **Export**.
- In Mail Body, click ![more](../common/more.svg) > **Export** > Choose path > **Save**.

### Batch Export
Right-click directory > **Export Mail** > Choose path > **Save**.

## Address Book

Click ![contact_button](fig/contact_button.png) to view/manage contacts. Add contacts/groups, import/export.

![contact](fig/contact.png)

### Add Contact
**Single Contact**
1. Click ![add_normal](../common/add_normal.svg) > **Add Contact**.
2. Fill in name, email, phone, address. Select account > **Save**.

**Edit Contact**
1. Click ![add_normal](../common/edit_normal.png) > **Edit Contact**.
2. Update details > **Save**.

**Bulk Import**
1. Click ![add_normal](../common/add_normal.svg) > **Import Contacts > Import vCard** or **Import CSV**.
2. Select account > **OK**.
3. Choose file. For CSV, map fields.

### Add Contact Group
1. Click ![add_normal](../common/add_normal.svg) > **Add Contact Group**.
2. Enter group name > **OK**.
3. Select contacts > **OK**.

### Export Contacts
Export by account/all/group. For 2+ contacts, export to single or separate files.

>  ![notes](../common/notes.svg) Note: Exceeding 500 contacts requires single-file export.

## Calendar

Click ![calendar_button](../common/calendar_button.svg) to view/manage schedules.

> Note: Supports QQ Mail, NetEase Mail (163.com/126.com) via CalDAV. Enable on webmail for server sync.

![calendar_view](fig/calendar_view.png)

### Create Event
1. Switch view (Month/Week/Day).
2. Select date/time slot.
3. Double-click/right-click/click ![add_normal](../common/add_normal.svg) > Fill details > **Save**.

   <img src="fig/create_schedule.png" alt="create_schedule" style="zoom:67%;" />

### Edit Event
1. Click event label.

   ![editor](fig/calendar_edit.png)
2. Click edit button > Modify > **Save**.

### Create Meeting Email
1. Switch view (Month/Week/Day).
2. Select date/time slot.
3. Double-click/right-click/click <img src="fig/email_button2.png" alt="contact_button" style="zoom:50%;" /> > Fill details > **Send**.

![editor](fig/meeting.png)

### Edit Meeting Email
1. Click meeting label.
2. Edit details > **Send**.

## Main Menu

Configure settings, switch themes, view help, etc.

### Settings
Click ![icon_menu](../common/icon_menu.svg) > **Settings**: Account, Basic, Anti-Spam, Network, Advanced.

#### Account Settings
Add/remove accounts. Edit account settings: profile, signature, filters, aggregation.

![ID_setting](fig/ID_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**Mail Settings**: Modify avatar, alias, server.
**Signature**: Edit/add signatures.
**Filters**: Create rules (e.g., move emails from X to Spam). Rules execute top-down.
**Aggregation**: View/manage aggregation conditions.

#### Basic Settings
**General**: Set default client, startup, font size.

![basic_setting](fig/basic_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**Mail**:
- Conversation Mode: Group related emails.
- Pop-up Notifications: New mail alerts.
- Auto-Receive Interval: Default 15 mins (customizable).
- Default Compose Style: Font/size/color.

**View**: Choose horizontal/vertical layout.
**Shortcuts**: View/customize.

#### Anti-Spam Settings
Manage blacklist (block senders). Add/remove/import/export.

#### Network Settings
Set proxy:
- No Proxy (default)
- Use System Proxy (from Control Center)
- Custom Proxy (HTTP/SOCKS)

#### Advanced Settings
Enable security lock with password. Auto-locks after 15 mins of inactivity.

#### Restore Defaults
Reset Basic Settings.

### Tools
Click ![icon_menu](../common/icon_menu.svg) > **Tools** > Manage email templates/labels.

### Theme
Switch themes (Light/Dark/System):
1. Click ![icon_menu](../common/icon_menu.svg) > **Theme**.
2. Select theme.

### Help
View manual:
1. Click ![icon_menu](../common/icon_menu.svg) > **Help**.

### About
View version/info:
1. Click ![icon_menu](../common/icon_menu.svg) > **About**.

### Exit
Quit Email:
1. Click ![icon_menu](../common/icon_menu.svg) > **Exit**.