# 郵箱 | deepin-mail

## 概述

郵箱是一款簡單易用的郵件管理應用程式，可同時管理多個郵箱帳戶。

## 使用入門

您可以通過以下方式執行或關閉郵箱，或建立捷徑。

### 執行郵箱

1. 點擊工作列上的啟動器圖示 ![deepin_launcher](../common/deepin_launcher.svg)，進入啟動器介面。
2. 滾動滑鼠或搜尋，找到郵箱圖示 ![deepin_mail](../common/deepin_mail.svg)，點擊執行（視窗大小支援記憶功能）。
3. 右鍵點擊 ![deepin_mail](../common/deepin_mail.svg)，您可以：
   - 點擊 **傳送到桌面**，在桌面建立捷徑。
   - 點擊 **釘選到工作列**，將應用程式固定於工作列。
   - 點擊 **開機自動啟動**，將應用程式加入開機啟動項，電腦開機時自動執行。

### 關閉郵箱

在郵箱主介面點擊 ![icon_menu](../common/icon_menu.svg) > **退出** 直接結束應用程式。

關閉主視窗時是否退出，取決於「關閉主視窗」設定：
- **最小化至系統匣**：關閉主視窗時隱藏至系統匣。
- **退出**：關閉主視窗時直接結束應用程式。
- **每次詢問**：關閉主視窗時彈出確認對話框。

## 登入

1. 在登入介面輸入郵箱帳戶及密碼/授權碼，點擊 **登入**。需授權碼的帳戶，點擊 **獲取授權碼** 查看指引。

   > ![tips](../common/tips.svg) 技巧：點擊幫助按鈕 ![help](../common/help.svg) 查看說明手冊。

   <img src="fig/login_interface.png" alt="login_interface" style="zoom:67%;" />

2. 若郵箱類型不在伺服器數據庫，點擊 **手動配置** 添加。支援 POP3/IMAP/Exchange (EWS) 服務（參數因協議而異，如 POP3 支援伺服器備份）。

   <img src="fig/email_config.png" alt="email_config" style="zoom:67%;" />

> ![notes](../common/notes.svg) 注意：QQ郵箱、網易郵箱(163.com/126.com)、新浪郵箱等需先啟用 POP3/IMAP/Exchange 服務。啟用後伺服器生成授權碼，輸入帳戶及授權碼登入。登入失敗時點擊 **查看幫助**。

## 主介面

包含郵件視圖及日曆視圖（登入後預設為郵件視圖）。郵件視圖由常用文件夾、郵箱帳戶、郵件目錄、郵件列表、郵件正文、寫郵件、收郵件、通訊錄、搜尋等組成。

![maininterface](fig/maininterface.png)

<table class="block1">
    <caption>主介面</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="120px">寫郵件</td>
            <td>快速撰寫普通郵件及會議邀請。</td>
        </tr>
         <tr>
            <td>2</td>
            <td>收郵件</td>
            <td>從伺服器同步郵件及通訊錄等數據。</td>
        </tr>
        <tr>
            <td>3</td>
            <td>搜尋</td>
            <td>快速搜尋本地已載入郵件。</td>
        </tr>
        <tr>
            <td>4</td>
            <td>主選單</td>
            <td>配置郵箱設定、切換主題、查看說明手冊等。</td>
        </tr>
         <tr>
            <td>5</td>
            <td>常用文件夾</td>
            <td>集中顯示所有帳戶的常用郵件。</td>
        </tr>
        <tr>
            <td>6</td>
            <td>郵箱帳戶</td>
            <td>顯示所有已添加帳戶。</td>
        </tr>
        <tr>
            <td>7</td>
            <td>郵件目錄</td>
            <td>分類郵件（目錄因協議而異）。支援新建目錄。</td>
        </tr>
         <tr>
            <td>8</td>
            <td>郵件列表</td>
            <td>顯示目錄下郵件（寄件人、主題、摘要、時間、星標狀態）。</td>
        </tr> 
          <tr>
            <td>9</td>
            <td>郵件正文</td>
            <td>顯示郵件標頭、寄件人/收件人資訊、時間及內容。</td>
        </tr> 
   </tbody>
   </table>

## 常用文件夾

集中顯示所有帳戶的常用目錄，方便快速存取。添加方式：
- 懸停常用文件夾區域 > 點擊 ![add_normal](../common/add_normal.svg) > 選擇：所有收件箱、所有未讀、所有星標、所有草稿或所有已發送。

  ![add_hot_folder1](fig/add_hot_folder1.png)
  
  取消勾選即可移除。

- 在郵件目錄右鍵點擊目錄 > **添加至常用文件夾**。

  ![add_hot_folder2](fig/add_hot_folder2.png)
  
  再次點擊 **移除常用文件夾** 可移除。

## 新建郵件目錄

郵件目錄用於分類郵件（協議不同目錄可能不同，如 POP 帳戶有「星標郵件」目錄）。

新建目錄：
1. 右鍵點擊郵箱帳戶 > **新建文件夾**。

   ![new_folder](fig/new_folder.png)

2. 輸入名稱建立。拖拽可調整同層級順序。
3. 右鍵點擊目錄可重新命名、建立子文件夾或批量刪除。

   ![right_click_menu](fig/right_click_menu.png)

## 寫郵件

1. 點擊 ![email_button](../common/email_button.svg) 或按 **Ctrl+N**。
2. 輸入收件人，或點擊 ![add_normal](../common/add_normal.svg) 從通訊錄添加。支援抄送/密送。
3. 富文本編輯器支援圖片、表情、連結、附件、範本及簽名。可切換純文字模式。
4. 點擊 **發送**。點擊 ![more](../common/more.svg) 可定時發送或分別發送。 

<img src="fig/write_email.png" alt="write_email" style="zoom: 50%;" />

## 收郵件

從伺服器同步郵件（預設每15分鐘一次）。設定每次登入下載數量。

收取方式：
- 選中帳戶 > 點擊 ![refresh_button](../common/refresh_button.svg)。
- 右鍵點擊帳戶 > **收郵件**。

## 查看郵件

1. 在郵件列表篩選：所有、未讀、星標或含附件。
2. 點擊郵件查看詳情。右鍵操作：添加標籤、置頂、聚合、移動、字元集切換。
   - **Ctrl+點擊** 多選。
   - **Shift+點擊** 範圍選取。
3. 點擊寄件人/收件人查看詳情、往來郵件或加入通訊錄。

   ![contact_info](fig/contact_info.png)

4. 在郵件正文回覆、編輯、轉發、標星、移動或刪除。

   ![email_text](fig/email_text.png)

## 搜尋郵件

搜尋本地已載入郵件：
1. 點擊 ![search](../common/search.svg)，輸入關鍵字，篩選依據：主題、全文、寄件人或收件人。
2. 點擊 ![filter](../common/filter.svg) 進階篩選（寄件人、收件人、主題/關鍵字、附件、日期範圍）。

   <img src="fig/search.png" alt="search" style="zoom:67%;" />

## 聚合郵件

按寄件人或主題關鍵字聚合郵件。條件自動保存至聚合設定。

- **按寄件人聚合**：右鍵郵件 > **聚合 > 聚合來自[寄件人]的所有郵件**。
- **按關鍵字聚合**：右鍵郵件 > **聚合 > 按主題關鍵字聚合** > 輸入關鍵字。

<img src="fig/syndicate_mail.png" alt="syndicate_mail"  />

右鍵已聚合郵件 > **取消聚合** 可分開顯示（同時移除設定中的條件）。

## 移動郵件

將郵件移至其他目錄（單封或某寄件人全部郵件）。

![move](fig/move.png)

## 刪除郵件

已刪除郵件移至「垃圾桶」。可從此永久刪除。

### 單個刪除
- 右鍵郵件 > **刪除**。
- 在郵件正文點擊 ![trash](../common/trash.svg)。

### 批量刪除
右鍵目錄 > **批量刪除** > 選擇時間範圍（如「早於1週」）。

## 導入郵件

右鍵目錄 > **導入郵件** > 選擇 .eml 檔案 > **開啟**。

>  ![notes](../common/notes.svg) 注意：不支援 Exchange 協議。

## 導出郵件

### 單個導出
- 右鍵郵件 > **導出**。
- 在郵件正文點擊 ![more](../common/more.svg) > **導出** > 選擇路徑 > **儲存**。

### 批量導出
右鍵目錄 > **導出郵件** > 選擇路徑 > **儲存**。

## 通訊錄

點擊 ![contact_button](fig/contact_button.png) 管理聯絡人。添加聯絡人/群組、導入/導出。

![contact](fig/contact.png)

### 添加聯絡人
**單個聯絡人**
1. 點擊 ![add_normal](../common/add_normal.svg) > **添加聯絡人**。
2. 填寫姓名、電郵、電話、地址。選擇帳戶 > **儲存**。

**編輯聯絡人**
1. 點擊 ![add_normal](../common/edit_normal.png) > **編輯聯絡人**。
2. 更新資料 > **儲存**。

**批量導入**
1. 點擊 ![add_normal](../common/add_normal.svg) > **導入聯絡人 > 導入 vCard** 或 **導入 CSV**。
2. 選擇帳戶 > **確定**。
3. 選擇檔案（CSV需映射欄位）。

### 添加聯絡人群組
1. 點擊 ![add_normal](../common/add_normal.svg) > **添加聯絡人群組**。
2. 輸入群組名稱 > **確定**。
3. 選擇聯絡人 > **確定**。

### 導出聯絡人
按帳戶/全部/群組導出。2個以上聯絡人可選擇單檔或多檔導出。

>  ![notes](../common/notes.svg) 注意：超過500個聯絡人必須單檔導出。

## 日曆

點擊 ![calendar_button](../common/calendar_button.svg) 查看/管理日程。

> 注意：支援 QQ郵箱、網易郵箱(163.com/126.com) 的 CalDAV 協議。需在網頁端啟用以同步伺服器日程。

![calendar_view](fig/calendar_view.png)

### 新建日程
1. 切換檢視模式（月/週/日）。
2. 選擇日期/時段。
3. 雙擊/右鍵/點擊 ![add_normal](../common/add_normal.svg) > 填寫詳情 > **儲存**。

   <img src="fig/create_schedule.png" alt="create_schedule" style="zoom:67%;" />

### 編輯日程
1. 點擊日程標籤。

   ![editor](fig/calendar_edit.png)
2. 點擊編輯按鈕 > 修改 > **儲存**。

### 新建會議郵件
1. 切換檢視模式（月/週/日）。
2. 選擇日期/時段。
3. 雙擊/右鍵/點擊 <img src="fig/email_button2.png" alt="contact_button" style="zoom:50%;" /> > 填寫詳情 > **發送**。

![editor](fig/meeting.png)

### 編輯會議郵件
1. 點擊會議標籤。
2. 編輯詳情 > **發送**。

## 主選單

配置設定、切換主題、查看說明等。

### 設定
點擊 ![icon_menu](../common/icon_menu.svg) > **設定**：帳戶、基本、反垃圾、網絡、進階。

#### 帳戶設定
添加/移除帳戶。編輯設定：頭像、簽名、過濾規則、聚合條件。

![ID_setting](fig/ID_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**郵箱設定**：修改頭像、別名、伺服器。
**簽名**：編輯/新增簽名。
**過濾規則**：建立規則（如將某寄件人郵件移至垃圾郵件）。規則由上至下執行。
**聚合**：管理聚合條件。

#### 基本設定
**常規**：設定預設客戶端、開機啟動、字型大小。

![basic_setting](fig/basic_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**郵件**：
- 會話模式：關聯郵件合併顯示。
- 彈窗提醒：新郵件通知。
- 自動收信間隔：預設15分鐘（可自訂）。
- 預設撰寫樣式：字型/大小/顏色。

**檢視**：選擇水平/垂直佈局。
**快速鍵**：查看/自訂。

#### 反垃圾設定
管理黑名單（阻擋寄件人）。添加/移除/導入/導出。

#### 網絡設定
設定代理：
- 不使用代理（預設）
- 使用系統代理（取自控制中心）
- 自訂代理（HTTP/SOCKS）

#### 進階設定
啟用安全鎖（密碼保護）。閒置15分鐘後自動鎖定。

#### 恢復預設
重設基本設定。

### 工具
點擊 ![icon_menu](../common/icon_menu.svg) > **工具** > 管理郵件範本/標籤。

### 主題
切換主題（淺色/深色/系統）：
1. 點擊 ![icon_menu](../common/icon_menu.svg) > **主題**。
2. 選擇主題。

### 說明
查看說明手冊：
1. 點擊 ![icon_menu](../common/icon_menu.svg) > **說明**。

### 關於
查看版本/資訊：
1. 點擊 ![icon_menu](../common/icon_menu.svg) > **關於**。

### 退出
結束郵箱：
1. 點擊 ![icon_menu](../common/icon_menu.svg) > **退出**。