# 郵件 | deepin-mail

## 概述

郵件是一款簡單易用的郵件管理應用程式，可同時管理多個郵件帳號。

## 使用入門

您可以透過以下方式執行或關閉郵件，或建立捷徑。

### 執行郵件

1. 點選工作列上的啟動器圖示 ![deepin_launcher](../common/deepin_launcher.svg)，進入啟動器介面。
2. 滾動滑鼠或搜尋，找到郵件圖示 ![deepin_mail](../common/deepin_mail.svg)，點選執行（視窗大小支援記憶功能）。
3. 右鍵點選 ![deepin_mail](../common/deepin_mail.svg)，您可以：
   - 點選 **傳送到桌面**，在桌面建立捷徑。
   - 點選 **釘選到工作列**，將應用程式固定於工作列。
   - 點選 **開機自動啟動**，將應用程式加入開機啟動項，電腦開機時自動執行。

### 關閉郵件

在郵件主介面點選 ![icon_menu](../common/icon_menu.svg) > **結束** 直接結束應用程式。

關閉主視窗時是否結束，取決於「關閉主視窗」設定：
- **最小化到系統列**：關閉主視窗時隱藏至系統列。
- **結束**：關閉主視窗時直接結束應用程式。
- **每次詢問**：關閉主視窗時彈出確認對話框。

## 登入

1. 在登入介面輸入郵件帳號及密碼/授權碼，點選 **登入**。需授權碼的帳號，點選 **取得授權碼** 查看指引。

   > ![tips](../common/tips.svg) 秘訣：點選說明按鈕 ![help](../common/help.svg) 查看說明手冊。

   <img src="fig/login_interface.png" alt="login_interface" style="zoom:67%;" />

2. 若郵件類型不在伺服器資料庫，點選 **手動設定** 新增。支援 POP3/IMAP/Exchange (EWS) 服務（參數因通訊協定而異，如 POP3 支援伺服器備份）。

   <img src="fig/email_config.png" alt="email_config" style="zoom:67%;" />

> ![notes](../common/notes.svg) 注意：QQ信箱、網易信箱(163.com/126.com)、新浪信箱等需先啟用 POP3/IMAP/Exchange 服務。啟用後伺服器產生授權碼，輸入帳號及授權碼登入。登入失敗時點選 **查看說明**。

## 主介面

包含郵件檢視及日曆檢視（登入後預設為郵件檢視）。郵件檢視由常用資料夾、郵件帳號、郵件目錄、郵件清單、郵件本文、撰寫郵件、接收郵件、通訊錄、搜尋等組成。

![maininterface](fig/maininterface.png)

<table class="block1">
    <caption>主介面</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="120px">撰寫郵件</td>
            <td>快速撰寫普通郵件及會議邀請。</td>
        </tr>
         <tr>
            <td>2</td>
            <td>接收郵件</td>
            <td>從伺服器同步郵件及通訊錄等資料。</td>
        </tr>
        <tr>
            <td>3</td>
            <td>搜尋</td>
            <td>快速搜尋本機已載入郵件。</td>
        </tr>
        <tr>
            <td>4</td>
            <td>主選單</td>
            <td>設定郵件選項、切換佈景主題、查看說明手冊等。</td>
        </tr>
         <tr>
            <td>5</td>
            <td>常用資料夾</td>
            <td>集中顯示所有帳號的常用郵件。</td>
        </tr>
        <tr>
            <td>6</td>
            <td>郵件帳號</td>
            <td>顯示所有已新增帳號。</td>
        </tr>
        <tr>
            <td>7</td>
            <td>郵件目錄</td>
            <td>分類郵件（目錄因通訊協定而異）。支援新增目錄。</td>
        </tr>
         <tr>
            <td>8</td>
            <td>郵件清單</td>
            <td>顯示目錄下郵件（寄件人、主旨、摘要、時間、星號狀態）。</td>
        </tr> 
          <tr>
            <td>9</td>
            <td>郵件本文</td>
            <td>顯示郵件標頭、寄件人/收件人資訊、時間及內容。</td>
        </tr> 
   </tbody>
   </table>

## 常用資料夾

集中顯示所有帳號的常用目錄，方便快速存取。新增方式：
- 懸停常用資料夾區域 > 點選 ![add_normal](../common/add_normal.svg) > 選擇：所有收件匣、所有未讀、所有加星號、所有草稿或所有已傳送。

  ![add_hot_folder1](fig/add_hot_folder1.png)
  
  取消勾選即可移除。

- 在郵件目錄右鍵點選目錄 > **加入常用資料夾**。

  ![add_hot_folder2](fig/add_hot_folder2.png)
  
  再次點選 **移除常用資料夾** 可移除。

## 新增郵件目錄

郵件目錄用於分類郵件（通訊協定不同目錄可能不同，如 POP 帳號有「加星號郵件」目錄）。

新增目錄：
1. 右鍵點選郵件帳號 > **新增資料夾**。

   ![new_folder](fig/new_folder.png)

2. 輸入名稱建立。拖曳可調整同層級順序。
3. 右鍵點選目錄可重新命名、建立子資料夾或批次刪除。

   ![right_click_menu](fig/right_click_menu.png)

## 撰寫郵件

1. 點選 ![email_button](../common/email_button.svg) 或按 **Ctrl+N**。
2. 輸入收件人，或點選 ![add_normal](../common/add_normal.svg) 從通訊錄新增。支援副本/密件副本。
3. 富文字編輯器支援圖片、表情符號、連結、附件、範本及簽名檔。可切換純文字模式。
4. 點選 **傳送**。點選 ![more](../common/more.svg) 可排程傳送或分別傳送。 

<img src="fig/write_email.png" alt="write_email" style="zoom: 50%;" />

## 接收郵件

從伺服器同步郵件（預設每15分鐘一次）。設定每次登入下載數量。

接收方式：
- 選中帳號 > 點選 ![refresh_button](../common/refresh_button.svg)。
- 右鍵點選帳號 > **接收郵件**。

## 檢視郵件

1. 在郵件清單篩選：所有、未讀、加星號或含附件。
2. 點選郵件查看詳情。右鍵操作：新增標籤、釘選、彙整、移動、字元集切換。
   - **Ctrl+點選** 多選。
   - **Shift+點選** 範圍選取。
3. 點選寄件人/收件人查看詳情、往來郵件或加入通訊錄。

   ![contact_info](fig/contact_info.png)

4. 在郵件本文回覆、編輯、轉寄、加星號、移動或刪除。

   ![email_text](fig/email_text.png)

## 搜尋郵件

搜尋本機已載入郵件：
1. 點選 ![search](../common/search.svg)，輸入關鍵字，篩選依據：主旨、全文、寄件人或收件人。
2. 點選 ![filter](../common/filter.svg) 進階篩選（寄件人、收件人、主旨/關鍵字、附件、日期範圍）。

   <img src="fig/search.png" alt="search" style="zoom:67%;" />

## 彙整郵件

按寄件人或主旨關鍵字彙整郵件。條件自動儲存至彙整設定。

- **按寄件人彙整**：右鍵郵件 > **彙整 > 彙整來自[寄件人]的所有郵件**。
- **按關鍵字彙整**：右鍵郵件 > **彙整 > 按主旨關鍵字彙整** > 輸入關鍵字。

<img src="fig/syndicate_mail.png" alt="syndicate_mail"  />

右鍵已彙整郵件 > **取消彙整** 可分開顯示（同時移除設定中的條件）。

## 移動郵件

將郵件移至其他目錄（單封或某寄件人全部郵件）。

![move](fig/move.png)

## 刪除郵件

已刪除郵件移至「垃圾桶」。可從此永久刪除。

### 單個刪除
- 右鍵郵件 > **刪除**。
- 在郵件本文點選 ![trash](../common/trash.svg)。

### 批次刪除
右鍵目錄 > **批次刪除** > 選擇時間範圍（如「早於1週」）。

## 匯入郵件

右鍵目錄 > **匯入郵件** > 選擇 .eml 檔案 > **開啟**。

>  ![notes](../common/notes.svg) 注意：不支援 Exchange 通訊協定。

## 匯出郵件

### 單個匯出
- 右鍵郵件 > **匯出**。
- 在郵件本文點選 ![more](../common/more.svg) > **匯出** > 選擇路徑 > **儲存**。

### 批次匯出
右鍵目錄 > **匯出郵件** > 選擇路徑 > **儲存**。

## 通訊錄

點選 ![contact_button](fig/contact_button.png) 管理聯絡人。新增聯絡人/群組、匯入/匯出。

![contact](fig/contact.png)

### 新增聯絡人
**單個聯絡人**
1. 點選 ![add_normal](../common/add_normal.svg) > **新增聯絡人**。
2. 填寫姓名、電子郵件、電話、地址。選擇帳號 > **儲存**。

**編輯聯絡人**
1. 點選 ![add_normal](../common/edit_normal.png) > **編輯聯絡人**。
2. 更新資料 > **儲存**。

**批次匯入**
1. 點選 ![add_normal](../common/add_normal.svg) > **匯入聯絡人 > 匯入 vCard** 或 **匯入 CSV**。
2. 選擇帳號 > **確定**。
3. 選擇檔案（CSV需對應欄位）。

### 新增聯絡人群組
1. 點選 ![add_normal](../common/add_normal.svg) > **新增聯絡人群組**。
2. 輸入群組名稱 > **確定**。
3. 選擇聯絡人 > **確定**。

### 匯出聯絡人
按帳號/全部/群組匯出。2個以上聯絡人可選擇單檔或多檔匯出。

>  ![notes](../common/notes.svg) 注意：超過500個聯絡人必須單檔匯出。

## 日曆

點選 ![calendar_button](../common/calendar_button.svg) 查看/管理行程。

> 注意：支援 QQ信箱、網易信箱(163.com/126.com) 的 CalDAV 通訊協定。需在網頁版啟用以同步伺服器行程。

![calendar_view](fig/calendar_view.png)

### 建立行程
1. 切換檢視模式（月/週/日）。
2. 選擇日期/時段。
3. 雙擊/右鍵/點選 ![add_normal](../common/add_normal.svg) > 填寫詳情 > **儲存**。

   <img src="fig/create_schedule.png" alt="create_schedule" style="zoom:67%;" />

### 編輯行程
1. 點選行程標籤。

   ![editor](fig/calendar_edit.png)
2. 點選編輯按鈕 > 修改 > **儲存**。

### 建立會議郵件
1. 切換檢視模式（月/週/日）。
2. 選擇日期/時段。
3. 雙擊/右鍵/點選 <img src="fig/email_button2.png" alt="contact_button" style="zoom:50%;" /> > 填寫詳情 > **傳送**。

![editor](fig/meeting.png)

### 編輯會議郵件
1. 點選會議標籤。
2. 編輯詳情 > **傳送**。

## 主選單

設定選項、切換佈景主題、查看說明等。

### 設定
點選 ![icon_menu](../common/icon_menu.svg) > **設定**：帳號、基本、垃圾信防護、網路、進階。

#### 帳號設定
新增/移除帳號。編輯設定：頭像、簽名檔、篩選規則、彙整條件。

![ID_setting](fig/ID_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**郵件設定**：修改頭像、別名、伺服器。
**簽名檔**：編輯/新增簽名檔。
**篩選規則**：建立規則（如將某寄件人郵件移至垃圾郵件）。規則由上至下執行。
**彙整**：管理彙整條件。

#### 基本設定
**一般**：設定預設用戶端、開機啟動、字型大小。

![basic_setting](fig/basic_setting.png)
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

**郵件**：
- 交談模式：相關郵件合併顯示。
- 彈出通知：新郵件通知。
- 自動接收間隔：預設15分鐘（可自訂）。
- 預設撰寫樣式：字型/大小/顏色。

**檢視**：選擇水平/垂直版面。
**快速鍵**：查看/自訂。

#### 垃圾信防護設定
管理黑名單（阻擋寄件人）。新增/移除/匯入/匯出。

#### 網路設定
設定代理：
- 不使用代理（預設）
- 使用系統代理（取自控制中心）
- 自訂代理（HTTP/SOCKS）

#### 進階設定
啟用安全鎖（密碼保護）。閒置15分鐘後自動鎖定。

#### 恢復預設值
重設基本設定。

### 工具
點選 ![icon_menu](../common/icon_menu.svg) > **工具** > 管理郵件範本/標籤。

### 佈景主題
切換佈景主題（淺色/深色/系統）：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **佈景主題**。
2. 選擇佈景主題。

### 說明
查看說明手冊：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **說明**。

### 關於
查看版本/資訊：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **關於**。

### 結束
結束郵件：
1. 點選 ![icon_menu](../common/icon_menu.svg) > **結束**。